org.wildfly.swarm.config

## Class Security<T extends Security<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.Security<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map
  Direct Known Subclasses:
    SecurityFraction

      public class Security<T extends Security<T>>
      extends HashMap

  The configuration of the security subsystem.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Security.SecurityResources` Child mutators for Security

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Security()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `classicVault()` Security Vault for attributes.
    `T` | `classicVault(ClassicVault value)` Security Vault for attributes.
    `T` | `classicVault(ClassicVaultConsumer consumer)` Security Vault for attributes.
    `T` | `classicVault(ClassicVaultSupplier supplier)` Security Vault for attributes.
    `Boolean` | `deepCopySubjectMode()` Sets the copy mode of subjects done by the security managers to be deep copies that makes copies of the subject principals and credentials if they are cloneable.
    `T` | `deepCopySubjectMode(Boolean value)` Sets the copy mode of subjects done by the security managers to be deep copies that makes copies of the subject principals and credentials if they are cloneable.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `securityDomain(SecurityDomain value)` Add the SecurityDomain object to the list of subresources
    `T` | `securityDomain(SecurityDomainSupplier supplier)` Install a supplied SecurityDomain object to the list of subresources
    `T` | `securityDomain(String childKey)` Create and configure a SecurityDomain object to the list of subresources
    `T` | `securityDomain(String childKey, SecurityDomainConsumer consumer)` Create and configure a SecurityDomain object to the list of subresources
    `T` | `securityDomains(List<SecurityDomain> value)` Add all SecurityDomain objects to this subresource
    `Security.SecurityResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Security

          public Security()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Security.SecurityResources subresources()

    - #### securityDomains

          public T securityDomains(List<SecurityDomain> value)

      Add all SecurityDomain objects to this subresource
      Parameters:
        `value` - List of SecurityDomain objects.
      Returns:
        this

    - #### securityDomain

          public T securityDomain(SecurityDomain value)

      Add the SecurityDomain object to the list of subresources
      Parameters:
        `value` - The SecurityDomain to add
      Returns:
        this

    - #### securityDomain

          public T securityDomain(String childKey,
                                  SecurityDomainConsumer consumer)

      Create and configure a SecurityDomain object to the list of subresources
      Parameters:
        `key` - The key for the SecurityDomain resource
        `config` - The SecurityDomainConsumer to use
      Returns:
        this

    - #### securityDomain

          public T securityDomain(String childKey)

      Create and configure a SecurityDomain object to the list of subresources
      Parameters:
        `key` - The key for the SecurityDomain resource
      Returns:
        this

    - #### securityDomain

          public T securityDomain(SecurityDomainSupplier supplier)

      Install a supplied SecurityDomain object to the list of subresources

    - #### classicVault

          public T classicVault(ClassicVault value)

      Security Vault for attributes.

    - #### classicVault

          public T classicVault(ClassicVaultConsumer consumer)

      Security Vault for attributes.

    - #### classicVault

          public T classicVault()

      Security Vault for attributes.

    - #### classicVault

          public T classicVault(ClassicVaultSupplier supplier)

      Security Vault for attributes.

    - #### deepCopySubjectMode

          public Boolean deepCopySubjectMode()

      Sets the copy mode of subjects done by the security managers to be deep copies that makes copies of the subject principals and credentials if they are cloneable. It should be set to true if subject include mutable content that can be corrupted when multiple threads have the same identity and cache flushes/logout clearing the subject in one thread results in subject references affecting other threads.

    - #### deepCopySubjectMode

          public T deepCopySubjectMode(Boolean value)

      Sets the copy mode of subjects done by the security managers to be deep copies that makes copies of the subject principals and credentials if they are cloneable. It should be set to true if subject include mutable content that can be corrupted when multiple threads have the same identity and cache flushes/logout clearing the subject in one thread results in subject references affecting other threads.

Copyright © 2017 JBoss by Red Hat. All rights reserved.